#' ---
#' title: |
#'   医薬品開発のための統計解析 第２部4章2節 \
#'   共分散分析　解析手順 \
#'   Green2-4-2b.R
#' author: "Masahiko Katase"
#' date: "2021/6/29"
#' ---

library(readxl)       # read_excel

df <- read_excel("Green2-4.xlsx", sheet = "dummy")
df <- data.frame(df)

df

#'# 表示4.2.5 LINEST関数による解析（p.140）
# ダミー変数１を利用
lm_out1 <- lm(income ~ age + dA2 + dA3 , data = df)
summary(lm_out1)

# ダミー変数２を利用
lm_out2 <-  lm(income ~ age + DA1 + DA2 , data = df)
summary(lm_out2)
